apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: "scrape-cron"
  labels: {{- include "common.labels.standard" . | nindent 4 }}
spec:
  schedule: "{{ .Values.cronjob.schedule }}"
  successfulJobsHistoryLimit: 0
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: Never
          imagePullSecrets:
          {{- range .Values.image.pullSecrets }}
            - name: {{ . }}
          {{- end }}
          containers:
          - image: "{{ .Values.cronjob.image.repository }}:{{ .Values.cronjob.image.tag }}"
            name: "scrape-cron"
            env:
            {{- include "common.tplvalues.render" (dict "value" .Values.extraEnvVars "context" $) | nindent 12 }}
            command:
            - sh
            - -c
            - "node scrape.js"
            imagePullPolicy: {{ .Values.image.pullPolicy }}
            ports:
            - name: http
              containerPort: 80
              protocol: TCP
            volumeMounts:
              - name: data
                mountPath: {{ .Values.persistence.path }}
          volumes:
          - name: data
            {{- if .Values.persistence.enabled }}
            persistentVolumeClaim:
              claimName: {{ template "common.names.fullname" . }}-binding
            {{- else }}
            emptyDir: {}
            {{- end }}